## org.eclipse.uml2.codegen.ecore.genmodel.generator
Class UML2GenModelGeneratorAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.codegen.ecore.genmodel.util.GenModelAdapterFactory
              org.eclipse.emf.codegen.ecore.genmodel.generator.GenModelGeneratorAdapterFactory
                  org.eclipse.uml2.codegen.ecore.genmodel.generator.UML2GenModelGeneratorAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.codegen.ecore.generator.GeneratorAdapterFactory, org.eclipse.emf.common.notify.AdapterFactory

    public class UML2GenModelGeneratorAdapterFactory

extends org.eclipse.emf.codegen.ecore.genmodel.generator.GenModelGeneratorAdapterFactory

Since:
  1.2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.codegen.ecore.generator.GeneratorAdapterFactory
`org.eclipse.emf.codegen.ecore.generator.GeneratorAdapterFactory.Descriptor`

Field Summary

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.generator.GenModelGeneratorAdapterFactory
`DESCRIPTOR, genClassGeneratorAdapter, genEnumGeneratorAdapter, generator, genModelGeneratorAdapter, genPackageGeneratorAdapter, MERGE_RULES_PATH_NAME`

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.util.GenModelAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`UML2GenModelGeneratorAdapterFactory()`

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createGenClassAdapter()`
`org.eclipse.emf.common.notify.Adapter` `createGenEnumAdapter()`
`org.eclipse.emf.common.notify.Adapter` `createGenModelAdapter()`
`org.eclipse.emf.common.notify.Adapter` `createGenPackageAdapter()`
`protected java.lang.String[]` `getTemplatePath(org.eclipse.emf.codegen.ecore.genmodel.GenModel genModel)`
`protected static java.lang.String[]` `getUML2TemplatePath(java.lang.String[] templatePath)`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.generator.GenModelGeneratorAdapterFactory
`adapt, dispose, getGenerator, getMergeRulesURI, initialize, isFactoryForType, setGenerator`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.util.GenModelAdapterFactory
`createAdapter, createEObjectAdapter, createGenAnnotationAdapter, createGenBaseAdapter, createGenClassifierAdapter, createGenDataTypeAdapter, createGenEnumLiteralAdapter, createGenFeatureAdapter, createGenOperationAdapter, createGenParameterAdapter, createGenTypedElementAdapter, createGenTypeParameterAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adapt, adaptAllNew, adaptNew`

Constructor Detail

### UML2GenModelGeneratorAdapterFactory

    public UML2GenModelGeneratorAdapterFactory()

Method Detail

### getUML2TemplatePath

    protected static java.lang.String[] getUML2TemplatePath(java.lang.String[] templatePath)

### getTemplatePath

    protected java.lang.String[] getTemplatePath(org.eclipse.emf.codegen.ecore.genmodel.GenModel genModel)

  Overrides:
    `getTemplatePath` in class `org.eclipse.emf.codegen.ecore.genmodel.generator.GenModelGeneratorAdapterFactory`

### createGenClassAdapter

    public org.eclipse.emf.common.notify.Adapter createGenClassAdapter()

  Overrides:
    `createGenClassAdapter` in class `org.eclipse.emf.codegen.ecore.genmodel.generator.GenModelGeneratorAdapterFactory`

### createGenEnumAdapter

    public org.eclipse.emf.common.notify.Adapter createGenEnumAdapter()

  Overrides:
    `createGenEnumAdapter` in class `org.eclipse.emf.codegen.ecore.genmodel.generator.GenModelGeneratorAdapterFactory`

### createGenModelAdapter

    public org.eclipse.emf.common.notify.Adapter createGenModelAdapter()

  Overrides:
    `createGenModelAdapter` in class `org.eclipse.emf.codegen.ecore.genmodel.generator.GenModelGeneratorAdapterFactory`

### createGenPackageAdapter

    public org.eclipse.emf.common.notify.Adapter createGenPackageAdapter()

  Overrides:
    `createGenPackageAdapter` in class `org.eclipse.emf.codegen.ecore.genmodel.generator.GenModelGeneratorAdapterFactory`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.